batch_job Struct Reference

Internal description of a single batch job submitted to a queue. More...

`#include <batch_job.h>`

## Data Fields

int | taskid
| Indicates the id provided by the creating system.
int | jobid
| Indicates the id assigned to the job by the submission system.
struct batch_queue * | queue
| The queue this task is assigned to.
char * | command
| The command line to execute.
struct list * | input_files
| Task's required inputs, type batch_file.
struct list * | output_files
| Task's expected outputs, type batch_file.
struct rmsummary * | resources
| Resources assigned to task.
struct jx * | envlist
| JSON formatted environment list.
struct batch_job_info * | info
| Stores the info struct created by batch_queue.
char * | hash
| Checksum based on CMD, input contents, and output names.

## Detailed Description

Internal description of a single batch job submitted to a queue.

## Field Documentation

## taskid

int batch_job::taskid

Indicates the id provided by the creating system.

I.E. Makeflow

## jobid

int batch_job::jobid

Indicates the id assigned to the job by the submission system.

## queue

struct batch_queue* batch_job::queue

The queue this task is assigned to.

## command

char* batch_job::command

The command line to execute.

## input_files

struct list* batch_job::input_files

Task's required inputs, type batch_file.

## output_files

struct list* batch_job::output_files

Task's expected outputs, type batch_file.

## resources

struct rmsummary* batch_job::resources

Resources assigned to task.

## envlist

struct jx* batch_job::envlist

JSON formatted environment list.

## info

struct batch_job_info* batch_job::info

Stores the info struct created by batch_queue.

## hash

char* batch_job::hash

Checksum based on CMD, input contents, and output names.

The documentation for this struct was generated from the following file:

- batch_job.h